package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.MusicTag;
import com.yonge.cooleshow.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022-03-29 17:47:57
 */
@ApiModel(value = "MusicTagVo对象", description = "音乐标签表查询视图对象")
public class MusicTagVo extends MusicTag{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("更新人")
	private String updateName;

	@ApiModelProperty("是否展开标签（1:展开，0：不展开）")
	private YesOrNoEnum open =YesOrNoEnum.YES;

	@ApiModelProperty("二级标签")
	private List<MusicTagVo> children = new ArrayList<>();

	public YesOrNoEnum getOpen() {
		return open;
	}

	public void setOpen(YesOrNoEnum open) {
		this.open = open;
	}

	public List<MusicTagVo> getChildren() {
		return children;
	}

	public void setChildren(List<MusicTagVo> children) {
		this.children = children;
	}

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}
}